<template>
	<JsonEditorVue
		v-bind="$attrs"
		language="zh-CN"
		:options="{
			search: false,
		}"
	/>
</template>

<script setup lang="ts">
import { computed } from 'vue';
import JsonEditorVue from 'json-editor-vue3';

const props = defineProps({
	showToolbar: {
		type: Boolean,
		default: false,
	},
	showChangeModes: {
		type: Boolean,
		default: false,
	},
});

const editorMenuDisplay = computed(() => (props.showToolbar ? 'block' : 'none'));
const editorModeDisplay = computed(() => (props.showChangeModes ? 'block' : 'none'));
</script>
<style scoped lang="scss">
:deep(.jsoneditor-menu) {
	display: v-bind(editorMenuDisplay);
}

:deep(.jsoneditor-modes) {
	display: v-bind(editorModeDisplay);
}
</style>
